[typo] Typo rspec and coverage

Pat Cappelaere ruby-forum-incoming at andreas-s.net
Wed Sep 3 09:24:31 EDT 2008


well... I believe you...
ruby 1.8.6 (2007-03-13 patchlevel 0) [powerpc-darwin9.2.2]
Rails 2.1.0
But Typo contains its own frozen rails so it should not matter.
Just trying:
>rake spec
471 examples, 44 failures

So I downgraded to Rails 2.0.2 and I now pass all the tests.  Hummmm!
Interesting....
Wondering what this is about!
Merci.
Patrice.


de Villamil Frédéric wrote:
> Le 3 sept. 08 � 14:19, Pat Cappelaere a �crit :
> 
>> I am trying to run rspec for the latest release of Typo and am running
>> into a lot of errors (which could be self-inflicted). So before I dive
>> too deep into this, should we expect Typo 5.1.3 to pass all the tests?
>> And by the way, what is the current test coverage number from rcov?
>> Thanks,
>> Pat.
> 
> Hi Pat,
> 
> The deal is easy: if specs don't pass, the gem won't build. So if you
> got the gem, you must have the tests passing.
> FYI, here is what I have here :
> ruby 1.8.6 (2008-03-03 patchlevel 114)
> rails 2.0.2
> Many other gems that won't fix
> 
> Regards
> Fr�d�ric
> --
> Fr�d�ric de Villamil
> frederic at de-villamil.com                        tel: +33 (0)6 62 19 1337
> http://fredericdevillamil.com             Typo : http://typosphere.org

-- 
Posted via http://www.ruby-forum.com/.


More information about the Typo-list mailing list